import { VersionStr } from "polar-shared/src/util/Version";
import { HTMLStr, URLStr } from "polar-shared/src/util/Strings";
import { ISODateTimeString } from "polar-shared/src/metadata/ISODateTimeStrings";
export declare class ReleaseMetadatas {
    static get(): ReadonlyArray<ReleaseMetadata>;
    static sorted(releases: ReadonlyArray<ReleaseMetadata>): ReadonlyArray<ReleaseMetadata>;
    static hasMetadata(release: VersionStr): boolean;
}
export interface ReleaseMetadata {
    readonly id: VersionStr;
    readonly title: string;
    readonly large_image: URLStr | undefined;
    readonly video_embed: URLStr | undefined;
    readonly release: VersionStr;
    readonly html: HTMLStr;
    readonly date: ISODateTimeString;
}
